org.apache.felix.connect.felix.framework.util

## Class MapToDictionary<K,V>

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - org.apache.felix.connect.felix.framework.util.MapToDictionary<K,V>

    public class MapToDictionary<K,V>
    extends Dictionary<K,V>

This is a simple class that implements a `Dictionary` from a `Map`. The resulting dictionary is immutable.

### Constructor Summary

Constructors
Constructor and Description
`MapToDictionary(Map<K,V> map)`

### Method Summary

Methods
`Enumeration<V>` `elements()`
`V` `get(Object key)`
`boolean` `isEmpty()`
`Enumeration<K>` `keys()`
`V` `put(K key, V value)`
`V` `remove(Object key)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapToDictionary

    public MapToDictionary(Map<K,V> map)

### Method Detail

#### elements

    public Enumeration<V> elements()

Specified by:
  `elements` in class `Dictionary<K,V>`

#### get

    public V get(Object key)

Specified by:
  `get` in class `Dictionary<K,V>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in class `Dictionary<K,V>`

#### keys

    public Enumeration<K> keys()

Specified by:
  `keys` in class `Dictionary<K,V>`

#### put

    public V put(K key,
        V value)

Specified by:
  `put` in class `Dictionary<K,V>`

#### remove

    public V remove(Object key)

Specified by:
  `remove` in class `Dictionary<K,V>`

#### size

    public int size()

Specified by:
  `size` in class `Dictionary<K,V>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`